class IRManager():
    def __init__(self, parser):
        self.parser = parser

    def platform_name(self):
        return self.parser.data()["name"]

    def device_count(self):
        return len(self.parser.data()["devices"])

    def device_list(self):
        return self.parser.data()["devices"]
